curl -X POST "https://api.memanto.ai/agents/my-agent/recall/changed-since" \
-H "x-api-key: $MEMANTO_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"since": "2026-11-18T00:00:00Z"
}'
{
"agent_id": "my-agent",
"count": 1,
"memories": [
{
"id": "eff9d310-ecac-4ed6-a120-905c83895ae7",
"agent_id": "my-agent",
"actor_id": "my-agent",
"type": "preference",
"title": "Dark mode",
"content": "[PREFERENCE] Dark mode\n\nThe user prefers dark mode\n\nTags: ui",
"text": "[PREFERENCE] Dark mode\n\nThe user prefers dark mode\n\nTags: ui",
"tags": [
"ui"
],
"confidence": 0.8,
"provenance": "explicit_statement",
"source": "my-app",
"source_ref": null,
"status": "active",
"score": null,
"created_at": "2026-11-20T04:25:48.421107476+00:00",
"updated_at": null,
"expired_at": null,
"expired_by": null,
"change_type": "created"
}
]
}
Recall
Recall Changed Since
Memories created or changed since a time.
POST
/
agents
/
{agent_id}
/
recall
/
changed-since
curl -X POST "https://api.memanto.ai/agents/my-agent/recall/changed-since" \
-H "x-api-key: $MEMANTO_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"since": "2026-11-18T00:00:00Z"
}'
{
"agent_id": "my-agent",
"count": 1,
"memories": [
{
"id": "eff9d310-ecac-4ed6-a120-905c83895ae7",
"agent_id": "my-agent",
"actor_id": "my-agent",
"type": "preference",
"title": "Dark mode",
"content": "[PREFERENCE] Dark mode\n\nThe user prefers dark mode\n\nTags: ui",
"text": "[PREFERENCE] Dark mode\n\nThe user prefers dark mode\n\nTags: ui",
"tags": [
"ui"
],
"confidence": 0.8,
"provenance": "explicit_statement",
"source": "my-app",
"source_ref": null,
"status": "active",
"score": null,
"created_at": "2026-11-20T04:25:48.421107476+00:00",
"updated_at": null,
"expired_at": null,
"expired_by": null,
"change_type": "created"
}
]
}
Overview
Returns memories created or changed since a time, each with achange_type. The CLI’s memory sync --catch-up uses it to start each coding-tool session caught up.
Authentication
Your Memanto Cloud API key (
mk_...). See Authentication.Path Parameters
Body
Only these memory types:
fact, preference, goal, decision, artifact, learning, event, instruction, relationship, context, observation, commitment, error.The calling tool, such as
cursor. Used to attribute the read on the Connections page; it does not filter results.Each memory’s
content is currently returned as the stored memory card: a [TYPE] title line, a blank line, the content, and a Tags: … line when the memory has tags. text is the card used for search. Use title, type and tags for the structured fields; the memanto CLI and MCP server strip content back to the plain text.curl -X POST "https://api.memanto.ai/agents/my-agent/recall/changed-since" \
-H "x-api-key: $MEMANTO_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"since": "2026-11-18T00:00:00Z"
}'
{
"agent_id": "my-agent",
"count": 1,
"memories": [
{
"id": "eff9d310-ecac-4ed6-a120-905c83895ae7",
"agent_id": "my-agent",
"actor_id": "my-agent",
"type": "preference",
"title": "Dark mode",
"content": "[PREFERENCE] Dark mode\n\nThe user prefers dark mode\n\nTags: ui",
"text": "[PREFERENCE] Dark mode\n\nThe user prefers dark mode\n\nTags: ui",
"tags": [
"ui"
],
"confidence": 0.8,
"provenance": "explicit_statement",
"source": "my-app",
"source_ref": null,
"status": "active",
"score": null,
"created_at": "2026-11-20T04:25:48.421107476+00:00",
"updated_at": null,
"expired_at": null,
"expired_by": null,
"change_type": "created"
}
]
}